ANNIE1-electronics-design - Task #8913

Send an ACDC + central card to QMUL
05/22/2015 07:35 PM - Matthew Wetstein

Status: Assigned Start date: 08/17/2015
Priority: Normal Due date: 08/21/2015
Assignee: Matthew Wetstein % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

History

#1 - 08/05/2015 11:58 PM - Matthew Wetstein
- Due date changed from 07/03/2015 to 08/21/2015
- Start date changed from 06/29/2015 to 08/17/2015

#2 - 10/09/2015 01:09 PM - Jonathan Eisch
- Status changed from New to Assigned

- Assignee set to Matthew Wetstein
